﻿package baza0;
import javax.swing.*;
import java.util.*;

class Osoba 
 { String nazwisko;
   float srednia;
   String uwagi;
    
   public  void Nadaj_nazwisko(String lan)
    { nazwisko=lan;}
   public String Podaj_nazwisko()
    { return nazwisko;}
   public  void Nadaj_uwagi(String lan)
    { uwagi=lan;}
   public String Podaj_uwagi()
     { return uwagi;}
   public  void Nadaj_srednia(float srednia_)
    { srednia=srednia_;} 
  public float Podaj_srednia()
     {return srednia;}

  public String toString()
   {String napis="";
    napis+="Nazwisko: "+nazwisko;
    napis+=" srednia: "+srednia;
    napis+=" uwagi: "+uwagi;
    return napis;
   }
   
  public boolean Szukaj(String s) 
   { return nazwisko.equals(s);
   }
 }  

class  Tablica
{    
  Osoba Dane[]=null; 
  int ile=0;  
  
  public boolean Pusta()
    {
      return ile==0;
    }
  
  public boolean Pelna()
    {
      return ile==Dane.length;
    }
 public int Podaj_ile()
   {
     return ile;
   }
 
  public void Wykonaj_tablice(int N)
   {
      ile=0;
      Dane=new Osoba[N]; //utworzenie tablicy
   }
  
  public void Wstaw (String nazwisko_, float srednia, String uwagi_)
   {
      Osoba dana=new Osoba();
      dana.Nadaj_nazwisko(nazwisko_);
      dana.Nadaj_srednia(srednia);
      dana.Nadaj_uwagi(uwagi_);
      Dane[ile]=dana;
      ile++; 
   }
  
   public Osoba Wyszukaj(String s)
    {
      for (int i=0; i<ile;i++)
       if (Dane[i].Szukaj(s))
        return   Dane[i];
      return null;
    }
   
   public String toString()
   {
       String s="";
       for (int i=0; i<ile; i++)
         s+=Dane[i].toString()+"\n";
       return s;
   }
}

public class Baza0
{ 
  protected Tablica tablica=new Tablica();
  
  public void Wyswietl()
     {
      if (tablica.Pusta())//jesli tablica istnieje, to mo�na wyswietlac
           JOptionPane.showMessageDialog(null,"Brak danych"); 
      else 
        JOptionPane.showMessageDialog(null,tablica.toString()); 
    }
  
  public void Wypelnij()
    { String S;
      S=JOptionPane.showInputDialog(null,"Podaj rozmiar tablicy");
      int N=Integer.parseInt(S);
      tablica.Wykonaj_tablice(N); //utworzenie tablicy
      String S1,S2,S3;
      while(!tablica.Pelna()) //jeśli tablica jes zapełniona, tak jest równe false
       { 
         S1 = JOptionPane.showInputDialog(null, "Podaj nazwisko"); 
         S2 = JOptionPane.showInputDialog(null, "Podaj srednia");
         S3 =JOptionPane.showInputDialog(null, "Podaj uwagi");
         tablica.Wstaw(S1, Float.parseFloat(S2), S3);//dopisanie danych na końcu danych
       }  
    }
 
   public void Wyszukaj()
   {
     if (tablica.Pusta())//jesli tablica istnieje, to mo�na wyswietlac
           JOptionPane.showMessageDialog(null,"Brak danych"); 
     else
     {
      String S = JOptionPane.showInputDialog(null,"Podaj nazwisko");
      Object osoba=tablica.Wyszukaj(S);   
      if(osoba!=null)
       JOptionPane.showMessageDialog(null,osoba.toString()); 
     }
   }
   
   static public  void main(String args[])
   {  Baza0 baza1=new Baza0(); //referencja do tablicy, kt�ra jest tworzona w opcji 1
      char ch;
      String s;
      do
      { s=JOptionPane.showInputDialog(null, "Progam nie jest zabezpieczony przed\n" +
                "złym formatem danych\n i naciskaniem Cancel w okienkach dialogowych\n"+
                "Podaj wybor"
        +"\n1 - Wypelnij tablice,"
        +"\n2 - Wyswietl dane osob"
        +"\n3 - Wyszukaj osobe i wyswietl jej dane"
        +"\nk - Koniec programu");
      ch = s.charAt(0);  //pobranie opcji
      switch(ch)
       {case '1' : baza1.Wypelnij();
                   break;
        case '2' : baza1.Wyswietl();       
                   break;
        case '3' : baza1.Wyszukaj(); 
                   break;  
        case 'k' : JOptionPane.showMessageDialog(null, "Koniec programu");
                   break;
        default  : JOptionPane.showMessageDialog(null,"Zla opcja");       
    }
 }while (ch != 'k') ;
 System.exit(0); 
  }
}

